Subject: 25.1.50; Strange warning on string-collate-equalp's docstring

From: [email-masked] (Óscar Fuentes)
Date: Wed, 06 Jul 2016 00:05:57 +0200

The mentioned docstring ends with

     Do _not_ use this function to compare file names for equality, only
     for sorting them.

which makes no sense to me. First of all, what's so special about file
names to mention them here? And then, how one is supposed to use an
equality predicate for sorting? (We have string-collate-lessp for that)

In GNU Emacs 25.1.50.1 (x86_64-pc-linux-gnu, X toolkit)
 of 2016-06-29 built on qcore
Repository revision: 652b638b0f80fda2abc316f3d1b0f005c7d28e1a
Windowing system distributor 'The X.Org Foundation', version 11.0.11803000
System Description:	Ubuntu 16.04 LTS